using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsSitePrice {

        //고지서 설정
        [Display(Name = "현장 고유번호"), Key, Column("SiteID")]
        public int SiteId { get; set; }
        [Display(Name = "에너지 타입 Id (전력, 가스, 수도)"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "요금제 타입 id"), Key]
        public int PriceTypeId { get; set; }
        [Display(Name = "요금제 구성 id"), Key]
        [StringLength(20)]
        public string PriceCode { get; set; }
        [Display(Name = "사용여부"), Required, Column("UseYN")]
        [StringLength(1)]
        public string UseYn { get; set; }

        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
        [ForeignKey("PriceCode")]
        public virtual BemsPriceCode PriceCodeNavigation { get; set; }
        [ForeignKey("PriceTypeId")]
        public virtual BemsPriceType PriceType { get; set; }
        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
    }
}
